<?php

/**
 * Cleaning Services Agent Theme Customizer
 *
 * @package cleaning_services_agent
 */

// Sanitize callback.
require get_template_directory() . '/theme-library/customizer/sanitize-callback.php';

// Active Callback.
require get_template_directory() . '/theme-library/customizer/active-callback.php';

// Custom Controls.
require get_template_directory() . '/theme-library/customizer/custom-controls/custom-controls.php';
// Icon Controls.
require get_template_directory() . '/theme-library/customizer/custom-controls/icon-control.php';

function cleaning_services_agent_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'cleaning_services_agent_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'cleaning_services_agent_customize_partial_blogdescription',
			)
		);
	}

	// Upsell Section.
	$wp_customize->add_section(
		new Cleaning_Services_Agent_Upsell_Section(
			$wp_customize,
			'upsell_section',
			array(
				'title'            => __( 'Cleaning Services Agent Pro', 'cleaning-services-agent' ),
				'button_text'      => __( 'Buy Pro', 'cleaning-services-agent' ),
				'url'              => 'https://asterthemes.com/products/cleaning-service-wordpress-theme',
				'background_color' => '#86C129',
				'text_color'       => '#fff',
				'priority'         => 0,
			)
		)
	);

	// Doc Section.
	$wp_customize->add_section(
		new Cleaning_Services_Agent_Upsell_Section(
			$wp_customize,
			'doc_section',
			array(
				'title'            => __( 'Documentation', 'cleaning-services-agent' ),
				'button_text'      => __( 'Free Doc', 'cleaning-services-agent' ),
				'url'              => 'https://demo.asterthemes.com/docs/cleaning-services-agent-free/',
				'background_color' => '#86C129',
				'text_color'       => '#fff',
				'priority'         => 1,
			)
		)
	);

	// Theme Options.
	require get_template_directory() . '/theme-library/customizer/theme-options.php';

	// Front Page Options.
	require get_template_directory() . '/theme-library/customizer/front-page-options.php';

	// Colors.
	require get_template_directory() . '/theme-library/customizer/colors.php';

}
add_action( 'customize_register', 'cleaning_services_agent_customize_register' );

function cleaning_services_agent_customize_partial_blogname() {
	bloginfo( 'name' );
}

function cleaning_services_agent_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

function cleaning_services_agent_custom_control_scripts() {

	wp_enqueue_style( 'cleaning-services-agent-custom-controls-css', get_template_directory_uri() . '/resource/css/custom-controls.css', array(), '1.0', 'all' );

	wp_enqueue_script( 'cleaning-services-agent-custom-controls-js', get_template_directory_uri() . '/resource/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
}
add_action( 'customize_controls_enqueue_scripts', 'cleaning_services_agent_custom_control_scripts' );